
<div class="container">


  <div class="col-12 pt-5">
    <div class="col-8" >
      <svg id="circuit1" class="w-100 ml-2"></svg>

      <!-- <div style="display: flex">
        <svg id="circuit1" class="w-100 ml-2" style="flex: 1"></svg>
      </div> -->
    </div>

  </div>

</div>

<div class="container">


  <div class="col-12 mb-5 mt-2">
    <div class="row">
      <div class="col">
        <button class="btn btn-secondary" (click)="exportToImage()">Export to SVG</button>
      </div>
      <div class="col">
        <button class="btn btn-secondary" (click)="exportToPNG()">Export to PNG</button>
      </div>
      <div class="col">
        <!-- <select class="form-select" (change)="changeData($event.target.value)">
          <option value="x6sample1.json">Sample 1</option>
          <option value="x6sample2.json">Sample 2</option>
          <option value="x6sample3.json">Sample 3</option>
        </select> -->

        <div class="btn-group" role="group" aria-label="Basic radio toggle button group">
          <input type="radio" class="btn-check" (click)="changeData('x6sample1.json')" name="btnradio" id="btnradio1" autocomplete="off" checked>
          <label class="btn btn-outline-secondary" for="btnradio1">Sample 1</label>

          <input type="radio" class="btn-check" (click)="changeData('x6sample2.json')" name="btnradio" id="btnradio2" autocomplete="off">
          <label class="btn btn-outline-secondary" for="btnradio2">Sample 2</label>

          <input type="radio" class="btn-check" (click)="changeData('x6sample3.json')" name="btnradio" id="btnradio3" autocomplete="off">
          <label class="btn btn-outline-secondary" for="btnradio3">Sample 3</label>
        </div>
      </div>
      <div class="col">
        <a target="_blank" [href]="'/assets/data/' + selectedSample" class="btn btn-secondary" >View Data</a>
      </div>
    </div>
  </div>
</div>
